org.red5.server.api.stream

## Class ResourceNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.red5.server.api.stream.ResourceNotFoundException

All Implemented Interfaces:
  Serializable

    public class ResourceNotFoundException
    extends Exception

Author:
  daccattato
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ResourceNotFoundException()` Constructs a new ResourceNotFoundException.
`ResourceNotFoundException(String message)`
`ResourceNotFoundException(String message, Throwable cause)`
`ResourceNotFoundException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResourceNotFoundException

    public ResourceNotFoundException()

Constructs a new ResourceNotFoundException.

#### ResourceNotFoundException

    public ResourceNotFoundException(String message,
                             Throwable cause)

#### ResourceNotFoundException

    public ResourceNotFoundException(String message)

#### ResourceNotFoundException

    public ResourceNotFoundException(Throwable cause)